// creator  : weidu.exe (version 23100)
// argument : UDDUER02.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~UDDUER02~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~~ THEN BEGIN 0 // from: UDDUER01:0.0
  SAY #50132 /* ~Ol raugh corl sargh? Xunder to thuldin sonn? Thuldul ol torst?~ */
  IF ~~ THEN REPLY #50134 /* ~I am sorry, but I cannot understand the tongue you speak.~ */ EXTERN ~UDDUER03~ 0
  IF ~~ THEN REPLY #50135 /* ~I don't know if you be friend or foe. Keep your distance and I'll keep mine.~ */ EXTERN ~UDDUER03~ 0
  IF ~~ THEN REPLY #50136 /* ~Speak common, you deep-living freaks. I have no time for your nonsense!~ */ EXTERN ~UDDUER03~ 0
END

IF ~~ THEN BEGIN 1 // from: UDDUER01:5.0
  SAY #50139 /* ~They can watch out for those other two. You know, the neck-biter and the mage.~ */
  IF ~~ THEN EXTERN ~UDDUER01~ 6
END

IF ~~ THEN BEGIN 2 // from: UDDUER01:3.0
  SAY #50184 /* ~Those two creepy ones were back, Carlig. You remember, the neck-biter and the mage.~ */
  IF ~~ THEN EXTERN ~UDDUER01~ 6
END

IF ~~ THEN BEGIN 3 // from: UDDUER01:7.0
  SAY #50193 /* ~Those other two were like that too, though I think they would survive most any attack. You know, the neck-biter and the mage.~ */
  IF ~~ THEN EXTERN ~UDDUER01~ 6
END

IF ~Global("PlayerLooksLikeDrow","GLOBAL",0)
Global("UderTalkedNotDrow","LOCALS",0)~ THEN BEGIN 4 // from:
  SAY #50265 /* ~I would be careful in this place, if I were you. Many dangers around many corners. You will be lucky to live.~ */
  IF ~~ THEN DO ~SetGlobal("UderTalkedNotDrow","LOCALS",1)~ GOTO 7
END

IF ~Global("PlayerLooksLikeDrow","GLOBAL",1)
Global("UderTalkedDrow","LOCALS",0)~ THEN BEGIN 5 // from:
  SAY #50278 /* ~I am at your service, Malla C'rintri, though I do not peddle wares as others might. I have a story though; a story of battle and death.~ */
  IF ~~ THEN REPLY #50313 /* ~Speak then, and tell me what it is that you know.~ */ DO ~SetGlobal("UderTalkedDrow","LOCALS",1)~ GOTO 8
  IF ~~ THEN REPLY #50314 /* ~I am not interested in your tales. I worry about the real and the immediate.~ */ DO ~SetGlobal("UderTalkedDrow","LOCALS",1)~ GOTO 7
END

IF ~~ THEN BEGIN 6 // from: UDDUER01:21.0
  SAY #50289 /* ~Wait, wait! Carlig, she bears no house insignia that I know. Look at her companions! She is outcast!~ */
  IF ~!IsValidForPartyDialogue("JAHEIRA")
!IsValidForPartyDialogue("EDWIN")
!IsValidForPartyDialogue("HAERDALIS")~ THEN EXTERN ~VICONIJ~ 81
  IF ~IsValidForPartyDialogue("JAHEIRA")~ THEN EXTERN ~JAHEIRAJ~ 467
  IF ~!IsValidForPartyDialogue("JAHEIRA")
IsValidForPartyDialogue("EDWIN")~ THEN EXTERN ~EDWINJ~ 114
  IF ~IsValidForPartyDialogue("HAERDALIS")
!IsValidForPartyDialogue("JAHEIRA")
!IsValidForPartyDialogue("EDWIN")~ THEN EXTERN ~HAERDAJ~ 111
END

IF ~~ THEN BEGIN 7 // from: 5.1 4.0
  SAY #50295 /* ~I, myself, have seen death here recently. Even the powerful cannot escape it.~ */
  IF ~~ THEN REPLY #50298 /* ~What are you talking about? Who has died?~ */ GOTO 8
  IF ~~ THEN REPLY #50299 /* ~Yes, yes, horrors around every corner. I'm sure you have a dozen tales and lies.~ */ GOTO 9
  IF ~~ THEN REPLY #50300 /* ~Well you, yourself, may be seeing it a lot closer if you don't stop trying to spook me.~ */ GOTO 10
END

IF ~~ THEN BEGIN 8 // from: 7.0 5.0
  SAY #50315 /* ~No real secrets for those that travel here frequently. A trespasser that got his due from someone he crossed.~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 9 // from: 7.1
  SAY #50316 /* ~No lies, or even secrets for those that travel here regularly. A trespasser that got his due from someone he crossed.~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 10 // from: 7.2
  SAY #50317 /* ~I merely thought you would be interested in recent events. A trespasser that got his due from someone he crossed.~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0 9.0 8.0
  SAY #50318 /* ~Well, I suppose it did not end in death, but it was a mighty battle regardless. I do not know who the aggressor was, but I know who lost.~ */
  IF ~~ THEN REPLY #50321 /* ~And who was this person then?~ */ GOTO 12
  IF ~~ THEN REPLY #50322 /* ~Well? State who it was!~ */ GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.1 11.0
  SAY #50319 /* ~A mage of power, I am sure, though not powerful enough in the end. A pity too. He seemed intent on unearthing an artifact of old or somesuch.~ */
  IF ~!IsValidForPartyDialogue("EDWIN")
!IsValidForPartyDialogue("VALYGAR")
!IsValidForPartyDialogue("JAN")
!IsValidForPartyDialogue("KORGAN")~ THEN GOTO 13
  IF ~IsValidForPartyDialogue("EDWIN")~ THEN EXTERN ~EDWINJ~ 119
  IF ~!IsValidForPartyDialogue("EDWIN")
IsValidForPartyDialogue("VALYGAR")~ THEN EXTERN ~VALYGARJ~ 86
  IF ~!IsValidForPartyDialogue("EDWIN")
!IsValidForPartyDialogue("VALYGAR")
IsValidForPartyDialogue("JAN")~ THEN EXTERN ~JANJ~ 165
  IF ~IsValidForPartyDialogue("KORGAN")
!IsValidForPartyDialogue("EDWIN")
!IsValidForPartyDialogue("VALYGAR")
!IsValidForPartyDialogue("JAN")~ THEN EXTERN ~KORGANJ~ 136
END

IF ~~ THEN BEGIN 13 // from: VALYGARJ:88.0 VALYGARJ:87.0 VALYGARJ:86.1 12.0
  SAY #50323 /* ~And his reward for his effort? Worse than death, even though he seemed willing to share. Imprisoned, magically confined in the cavern north of here. Pity.~ */
  IF ~~ THEN REPLY #50324 /* ~What was he looking for? Who attacked him?~ */ GOTO 14
  IF ~~ THEN REPLY #50325 /* ~Your story is unfinished. Tell me the details.~ */ GOTO 14
END

IF ~~ THEN BEGIN 14 // from: 13.1 13.0
  SAY #50326 /* ~You would have to ask him that yourself. I know only what I have said. My apologies.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #57518 /* ~A mage imprisoned?

A Duergar in the Underdark said a mage was trapped by the Imprisonment spell in a battle. He wanted to unearth a treasure trove or artifact of some kind, but was attacked. The Duergar said it occurred in a cavern north of him.  A Freedom spell or scroll cast within the Underdark caverns would likely free the mage.~ */ EXIT
END

IF ~True()~ THEN BEGIN 15 // from:
  SAY #50327 /* ~I fear I have little more to say. I purposefully try to avoid excitement, especially in this place.~ */
  IF ~~ THEN GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #50328 /* ~Other than the mage imprisoned in the cavern north of here I have not seen anything unusual.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 17 // from: UDDUER01:24.0
  SAY #55924 /* ~Careful, Carlig! Never seen a Drow loose their mind before. Might be catching.~ */
  IF ~~ THEN EXTERN ~UDDUER01~ 15
END
